# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fibo/version'

Gem::Specification.new do |spec|
  spec.name          = "fibonacci_sequence"
  spec.version       = Fibo::VERSION
  spec.authors       = ["Sandip Ransing"]
  spec.email         = ["sandip.ransing@synerzip.com"]

  spec.summary       = %q{A ruby gem for fibonacci}
  spec.description   = %q{A simple ruby gem to generate Fibonacci series}
  spec.homepage      = "http://github.com/sandipransing/fibo"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.7"
end
